Bug 9946 - opac-topissues with no time limit
Summary: opac-topissues with no time limit
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-28 13:28 UTC by Fridolin Somers
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.38 KB, patch)
2013-03-28 13:33 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 9946 - opac-topissues with no time limit (1.43 KB, patch)
2013-03-31 07:05 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 9946 - opac-topissues with no time limit (1.53 KB, patch)
2013-03-31 12:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2013-03-28 13:28:17 UTC
When in opac-topissues using filter "of the last:" with value "No limit", the result shows the caption : "The 10 most checked-out in the past 999 months".
Comment 1 Fridolin Somers 2013-03-28 13:33:53 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-03-31 07:05:15 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-03-31 12:18:15 UTC
I am not very happy about the behaviour of this page and I think it needs more fixes (see bug 9959)

1) Why do I have to double submit my search sometimes? 
   - go to top issues from opac start page
   - change filter from last 3 months to no limit
   - submit
2) Why are the search options of this second form different to the first form?
   - library changes from Union to Demo for me
3) Why does hitting the submit button on the filter left sometimes change the
   filters too?
   - library changes from all libraries to Union (last in list)
Comment 4 Katrin Fischer 2013-03-31 12:19:14 UTC
Created attachment 17089 [details] [review]
[PASSED QA] Bug 9946 - opac-topissues with no time limit

When in opac-topissues using filter "of the last:" with value "No limit", the result shows the caption : "The 10 most checked-out in the past 999 months".

This patch corrects a typo error : $timeLimit was used instead of $timeLimitFinite

Test plan :
- Go to OPAC most popular
- Select "No limit" in last filter and submit
=> Check that result displays caption : "The 10 most checked-out of all time"
- Come back
- Select "6 months" in last filter and submit
=> Check that result displays caption : "The 10 most checked-out in the past 6 months"

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and QA script.
Comment 5 Jared Camins-Esakov 2013-04-01 22:27:38 UTC
This patch has been pushed to master.